game = {}
   game.lineWidth = 10
   game.font = love.graphics.newFont(16)
   game.planet = {x=love.graphics.getWidth()/2,y=love.graphics.getHeight()/2,r=100,color={190,170,170}}
   game.lines = {count=10,r=50,speed=math.pi,a=0}
   
function game:update(dt)
   --updating line angle
   self.lines.a = self.lines.a + self.lines.speed * dt
   if self.lines.a > math.pi then self.lines.a = self.lines.a - math.pi*2 end
end

function game:draw()
   love.graphics.setLineWidth(self.lineWidth)
   --planet
   love.graphics.setColor(self.planet.color)
   love.graphics.circle("line",self.planet.x,self.planet.y,self.planet.r,self.planet.r*3)
   --lines
   for count = 1,self.lines.count do
      local a = self.lines.a + count / self.lines.count * math.pi*2
      love.graphics.line(self.planet.x+math.cos(a)*self.planet.r,self.planet.y+math.sin(a)*self.planet.r,self.planet.x+math.cos(a)*(self.planet.r+self.lines.r),self.planet.y+math.sin(a)*(self.planet.r+self.lines.r))
   end
   --text
   love.graphics.setColor(180,80,140)
   love.graphics.setFont(self.font)
   love.graphics.print("This isn't really a game, sorry. Press ESCAPE to return to menu.")
end

function game:onClick(x,y,button)

end

function game:keypressed(key)
   scene=menu
end
